/*
 * Copyright (C) 2003 Jean-Philippe Hergott <hergott@free.fr>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// ######################### prototypage
void
stocks2char (gchar *, gchar *, gint *, gint *);

void
stocks2char (gchar *, gchar *, gint *, gint *);

void
stocks2inte (gchar *, gint *, gint *, gint *);

void
stocks2float (gchar *, gfloat *, gint *, gint *);
	
void
char2stocks (gchar *, gchar *);

void 
inte2stocks (gchar *, gint );

void 
float2stocks (gchar *, gfloat );

gint 
find_categ 	(gchar *,
		 gchar *);

void 
xcave_signal_connect ();

void
on_wineCountryEntry_changed                (GtkEditable     *editable,
                                        gpointer         user_data);

void
read_xcaverc 				();

void
write_xcaverc 				();

FILE *
open_xcaverc				(gchar *action);

void
on_vinregentry_changed                 (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_vinapentry_changed                  (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_PurchaseOk_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_DrinkingOk_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_TreeList_Purchase_double_click          (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_TreeList_Drinking_double_click          (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);
